# Generated by Django 4.2.13 on 2024-12-19 10:11

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        (
            "digid_eherkenning",
            "0013_alter_eherkenningconfiguration_eh_requested_attributes_and_more",
        ),
    ]

    operations = [
        migrations.AlterField(
            model_name="eherkenningconfiguration",
            name="digest_algorithm",
            field=models.CharField(
                blank=True,
                choices=[
                    ("http://www.w3.org/2001/04/xmlenc#sha256", "SHA256"),
                    ("http://www.w3.org/2001/04/xmldsig-more#sha384", "SHA384"),
                    ("http://www.w3.org/2001/04/xmlenc#sha512", "SHA512"),
                ],
                default="http://www.w3.org/2001/04/xmlenc#sha256",
                help_text="Digest algorithm. Note that SHA1 is deprecated, but still the default value in the SAMLv2 standard. Warning: there are known issues with single-logout functionality if using anything other than SHA1 due to some hardcoded algorithm.",
                max_length=100,
                verbose_name="digest algorithm",
            ),
        ),
        migrations.AlterField(
            model_name="eherkenningconfiguration",
            name="signature_algorithm",
            field=models.CharField(
                blank=True,
                choices=[
                    ("http://www.w3.org/2001/04/xmldsig-more#rsa-sha256", "RSA_SHA256"),
                    ("http://www.w3.org/2001/04/xmldsig-more#rsa-sha384", "RSA_SHA384"),
                    ("http://www.w3.org/2001/04/xmldsig-more#rsa-sha512", "RSA_SHA512"),
                ],
                default="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256",
                help_text="Signature algorithm. Note that DSA_SHA1 and RSA_SHA1 are deprecated, but RSA_SHA1 is still the default value in the SAMLv2 standard. Warning: there are known issues with single-logout functionality if using anything other than SHA1 due to some hardcoded algorithm.",
                max_length=100,
                verbose_name="signature algorithm",
            ),
        ),
    ]
